//billboard base options

//texture diffuse < string name = "tiger.bmp"; >;

shared const float4x4 World      : WORLD;
shared const float4x4 View       : VIEW;
shared const float4x4 Projection : PROJECTION;

technique billboardprepare
{
    pass p0
    {
        Lighting	= False;

		ZWriteEnable  = False;
		ZEnable		  = True;
		StencilEnable = False;

		AlphaBlendEnable = True;
		SrcBlend	= SrcAlpha;
		DestBlend	= DestAlpha;

		AlphaTestEnable	= True;
		AlphaRef	= 0x08;
		AlphaFunc	= GreaterEqual;

		// Set up texture stage 0
        ColorOp[0]	= Modulate;
        ColorArg1[0]= Texture;
		ColorArg2[0]= Diffuse;
        AlphaOp[0]	= Modulate;
        AlphaArg1[0]= Texture;
		AlphaArg2[0]= Diffuse;

		TexCoordIndex[0] = PassThru;
		TextureTransformFlags[0] = Disable;

        MinFilter[0] = Linear;
        MagFilter[0] = Linear;
        //MipFilter[0] = Point;

		// Disable texture stage 1
        ColorOp[1] = Disable;
        AlphaOp[1] = Disable;
    }
}

technique empty
{
}