shared const float3 lightdir;
shared const float3 camerapos;

shared const float4 ambient;
shared const float4 lightdiffuse;
shared const float4 lightspecular;

shared const float4x4 World            : WORLD;
shared const float4x4 View            : VIEW;
shared const float4x4 Projection        : PROJECTION;
shared const float4x4 WorldView        : WORLDVIEW;
shared const float4x4 ViewProjection    : VIEWPROJECTION;

shared const float4 k_a= { 1.0f, 1.0f, 1.0f, 1.0f };    // model ambient coefficient
shared const float4 k_d= { 1.0f, 1.0f, 1.0f, 1.0f };    // model diffuse coefficient
shared const float4 k_s= { .5f, .5f, .5f, .5f };		// model specular coefficient
shared const int    n    = 32;							// model specular power coefficient

shared const float ParticleScale = 480;

Technique empty
{
}