// Checkpoint effect
// Richard Yeager

sampler Sampler = sampler_state
{
    Texture   = NULL;
    MipFilter = LINEAR;
    MinFilter = LINEAR;
    MagFilter = LINEAR;
};


technique TNoShader
{
    pass P0
    {      
        Lighting      = FALSE;
        ZWriteEnable  = FALSE;
        CullMode      = NONE;
        
        Sampler[0] = (Sampler);
        
        AlphaBlendEnable = TRUE;
        SrcBlend  = ONE;
        DestBlend = ONE;
        
        FogEnable = FALSE;
        
        TextureFactor = 0xFF003080; // = D3DCOLOR_RGBA(0,48,128,255)
        
        // Texture stages
        ColorOp[0]   = SELECTARG2;
        ColorArg1[0] = TEXTURE;
        ColorArg2[0] = TFACTOR;
        
        AlphaOp[0]   = DISABLE;
        
        //AlphaOp[0]   = MODULATE;
        //AlphaArg1[0] = TEXTURE;
        //AlphaArg2[0] = TFACTOR;

        ColorOp[1]   = DISABLE;
        AlphaOp[1]   = DISABLE;


        VertexShader = NULL;
        PixelShader  = NULL;
	}
}


technique TFallback
{
	pass P0
	{
        VertexShader = NULL;
        PixelShader  = NULL;
	}
}