// light intensity

// texture

float4	skycolor = float4(1,1,1,0);

string XFile = "tiger.x";
texture skybox < string type = "CUBE"; 
			string name = "LobbyCube.dds"; >;

// transformations
shared const float4x4 World          : WORLD;
shared const float4x4 View           : VIEW;
shared const float4x4 Projection     : PROJECTION;
shared const float4x4 WorldView      : WORLDVIEW;
shared const float4x4 ViewProjection : VIEWPROJECTION;

sampler SkySampler = sampler_state
{
    Texture   = (skybox);
    MinFilter = LINEAR;
    MagFilter = LINEAR;
};

technique TNoShader
{
    pass P0
    {
		// transforms
		//WorldTransform[0]   = (World);
		//ViewTransform       = (View);
		//ProjectionTransform = (Projection);

		Lighting			= False;

		CullMode = None;
		ZEnable = False;
		ZWriteEnable = False;
		FogEnable = False;
        
		// samplers
		Sampler[0] = (SkySampler);
        
		// texture stages
		TextureFactor = (skycolor);

		ColorOp[0]   = BlendFactorAlpha;
		ColorArg1[0] = TFactor;
		ColorArg2[0] = Texture;
		AlphaOp[0]   = Modulate;
		AlphaArg1[0] = TFactor;
		AlphaArg2[0] = Texture;

		TexCoordIndex[0] = PassThru;

		ColorOp[1]   = DISABLE;
		AlphaOp[1]   = DISABLE;

		// shaders
		VertexShader = NULL;
		PixelShader  = NULL;
	}
}

technique empty
{
}